---
layout: release
date: 2022-08-23
tag: v0.6.0-rc.6fe
---

## What's New
## 🔤 General
- Use meshkit error in logger @gr455 (#6084)
- [Refactor] Make the Errors Evaluation in Validation Lazy @sudo-NithishKarthik (#6069)
- [Fix] Sum file @sudo-NithishKarthik (#6062)
- [Refactor] Rewrite ValidationHandler to take UI problems into consideration  @sudo-NithishKarthik (#6059)
- Change status of CPX adapter in README @alphaX86 (#6024)
- Decode content from github api while downloading seed patterns @nishantwrp (#6026)
- Meshkit update @Abhishek-kumar09 (#6016)
- [Fix] Problem with handling multiple workloads at api/meshmodel/validate @sudo-NithishKarthik (#5999)
- [Server] Fix: Read response body before reusing request @gr455 (#6001)
- Migrate installation script to meshery.io repo @nishantwrp (#5995)
- Fix uncompressing of tar files in docker extension @nishantwrp (#5987)
- [mesheryctl]: change meshery bash script to consider the .tar.gz format @hexxdump (#5911)
- [CI] Move to tar.gz for mesheryctl packages @leecalcote (#5983)
- [chore] Fix svc type of meshery-operator  @theBeginner86 (#5976)
- [chore] Revert meshery-operator svc to ClusterIP @theBeginner86 (#5972)
- Replacing operator service type to LoadBalancer. @Aisuko (#5957)
- [Feat] Add validation endpoint @sudo-NithishKarthik (#5894)
- [DOCS] Contributing instruction update command to build docs. @Chadha93 (#5897)
- Bump terser from 5.12.1 to 5.14.2 in /install/docker-extension/ui @dependabot (#5858)
- Fix panic during reset of database @MUzairS15 (#5893)
- [Server] Multi-Cluster: Fix k8s context duplication @gr455 (#5867)
- [Fix] WS connection hijacking issue @sudo-NithishKarthik (#5844)
- Keep the type of the services to be same. @Aisuko (#5841)
- Add k8s middleware to filter handler @Revolyssup (#5797)
- [CI] Update description for mesheryctl homebrew tap @nishantwrp (#5784)
- state fixed For docker extension @harkiratsm (#5781)
- Fix contradicting fields in k8s registered schema @Revolyssup (#5777)
- Changed the order of image  @harkiratsm (#5763)
- refactor: Do not purge the database @sudo-NithishKarthik (#5753)
- fix: Add essential middlewares for extension endpoints @sudo-NithishKarthik (#5751)
- Upgrade k8s.io to 0.24 @Revolyssup (#5639)
- fixed the upload of image for docker extension @harkiratsm (#5748)
- fix: CustomResourceDefintions ref resolve @sudo-NithishKarthik (#5744)
- [Chore] Update meshkit release and kompose conversion logic @sudo-NithishKarthik (#5719)
- docker extension empty state fixed  @harkiratsm (#5684)
- Remove extranous log including cert data  @Revolyssup (#5698)
- Fixed logout buton alignment in meshery extension @Rohith-Raju (#5685)
- [Refactor] Make use of validation and formatting functions exposed in Meshkit @sudo-NithishKarthik (#5650)
- [DDE] Refactor ws channels  in proxy @sudo-NithishKarthik (#5648)
- refactor: Refine ws connection for logout @sudo-NithishKarthik (#5647)
- Fix validation error and whitespacing bug @Revolyssup (#5644)
- Logout button move @warunicorn19 (#5641)
- upgrade meshkit @Revolyssup (#5637)
- [DDE] Fix: dde ws undefined @sudo-NithishKarthik (#5636)
- [DDE] Fix: Set isLogged to false after logging out @sudo-NithishKarthik (#5635)
- [DDE] Fix: automatically change state once logged out @sudo-NithishKarthik (#5634)
- fixed issue with logo before login and added logout button @warunicorn19 (#5630)
- [Server] Fix error code conflicts @gr455 (#5626)
- Allow provider to be set via query parameter @sudo-NithishKarthik (#5627)
- Fix failing save context for incluster @Revolyssup (#5601)
- [dde] UI Change to adapt to the exposed server version @sudo-NithishKarthik (#5596)
- fix: Service mesh provisioning @sudo-NithishKarthik (#5595)
- exposed meshery server version in dde @warunicorn19 (#5591)
- Fix panic @Revolyssup (#5593)
- Fix NATS connectivity test @MUzairS15 (#5583)

## 🚀 Features

- Fix capture and handle expired token  @MUzairS15 (#4956)

## ⌨️ Meshery CLI

- Fix image ref in `mesheryctl` docs @alphaX86 (#5908)
- fix(ci): publish linux and mac artifacts in tar.gz format @nishantwrp (#5888)
- fix(mesheryctl): move completion to root level and fix oh-my-zsh command @nishantwrp (#5896)
- Fix relative path check in config for token @alphaX86 (#5910)
- Fix failing mesheryctl unit tests @nishantwrp (#5971)
- Add tests for mesheryctl root config and flags @nishantwrp (#5930)
- Add `source type` and support for downloading `source content` in Application @Revolyssup (#5775)
- fix: change order of oninitialze hooks in mesheryctl @nishantwrp (#5927)
- Fixed valid meshconfig error @harkiratsm (#5907)
- fix(mesheryctl): automatically create meshconfig if not present @nishantwrp (#5877)
- fix(mesheryctl): exit with non-zero error code on failure @nishantwrp (#5880)
- Misleading error on invalid meshconfig @manikmmalhotra (#5854)
- Create logic for screenshot capture in mesheryctl ref @alphaX86 (#5778)
- [CI] Fix golang unit tests @alphaX86 (#5843)
- [mesheryctl] Fix `app onboard` silent fail @gr455 (#5679)
- chore(deps): Bump github.com/spf13/cobra from 1.4.0 to 1.5.0 @dependabot (#5729)

## 🖥 Meshery UI

- add conditional check for operator state @Abhishek-kumar09 (#6081)
- [UI] Settings Upload K8s config style bug fix within modal @Chadha93 (#6083)
- Bump @babel/types from 7.18.7 to 7.18.10 in /ui @dependabot (#5945)
- Add subscription for `kubernetes context` @MUzairS15 (#5998)
- Bump cypress from 10.4.0 to 10.6.0 in /provider-ui @dependabot (#6053)
- [UI] Provider UI bug fix @Chadha93 (#6052)
- [UI] Configurations UI Enhancements | Apps | Designs | Filters @Chadha93 (#6046)
- Bump cypress from 10.3.1 to 10.4.0 in /provider-ui @dependabot (#6019)
- [UI] Made reset button red @kumarvikramshahi (#6022)
- styling changes to extensions @warunicorn19 (#6023)
- [Cypress] Dependency bug fix for cypress  @Chadha93 (#6031)
- Revert "[Dependency] DnD Drag and drop dependency addition" @Abhishek-kumar09 (#6030)
- [Dependency] DnD Drag and drop dependency addition @Chadha93 (#6029)
- Bump next from 12.2.0 to 12.2.5 in /provider-ui @dependabot (#6020)
- Bump eslint-config-next from 12.2.0 to 12.2.5 in /provider-ui @dependabot (#6017)
- Add Extension Marketplace @MUzairS15 (#6014)
- [UI] changed System Reset button design @kumarvikramshahi (#6012)
- [UI] Import Modal update and reference to Extensions  @Chadha93 (#5963)
- [provider-ui] remove duplicate credentials @Abhishek-kumar09 (#6011)
- [UI] Source type import modal bug fix on empty state @Chadha93 (#6009)
- eslint errors fix @YashKamboj (#5952)
- implemented eslint checks  @legendarykamal (#5997)
- [UI] Delete modal now functional for Designs @legendarykamal (#5996)
- Rearrange the order/styles of buttons @harkiratsm (#5984)
- Fix prometheus and grafana discovery @MUzairS15 (#5980)
- [Server] Multicluster: Feed back context persistence @gr455 (#5884)
- Bump jss from 10.9.0 to 10.9.2 in /provider-ui @dependabot (#5942)
- Refactor subscription logic @MUzairS15 (#5964)
- [UI] Extension: Add Clilium logo SVG @Abhishek-kumar09 (#5946)
- [Bug] Fix MUI data table implementation on SMI Conformance page  @theBeginner86 (#5956)
- Fix application update @MUzairS15 (#5955)
- Add `source type` and support for downloading `source content` in Application @Revolyssup (#5775)
- Removed subtext "cluster with a meshery operator" from Empty Cluster confirmation modal. @asubedy (#5951)
- [UI] Made the Search Fully functional @harkiratsm (#5948)
- Added operator-light @Harshit-Dandriyal (#5949)
- Bump immutable from 4.0.0 to 4.1.0 in /ui @dependabot (#5940)
- Bump @fortawesome/free-regular-svg-icons from 6.1.1 to 6.1.2 in /ui @dependabot (#5941)
- Bump eslint-plugin-jsx-a11y from 6.5.1 to 6.6.1 in /ui @dependabot (#5937)
- change meshery icon transparency @warunicorn19 (#5943)
- Bump cypress from 10.3.0 to 10.3.1 in /provider-ui @dependabot (#5932)
- [UI]Successfully removed the hardcoded edge-edge-latest version  @legendarykamal (#5920)
- [UI] - Fixed YAML text overlapping @subhradwip01 (#5846)
- Added Details to Applications/Filters @harkiratsm (#5899)
- fix ui crash on dropping nodes on canvas @warunicorn19 (#5906)
- [Dependencies] UI, MeshSync, MeshKit, Meshery Operator @leecalcote (#5902)
- [Meshery-Extension] setup single source of truth for svgs @Abhishek-kumar09 (#5885)
- [UI] Confirmation modal deploy and undeploy color update @Chadha93 (#5903)
- [UI] Replaced Confirmation Modal's Undeploy Color @legendarykamal (#5842)
- Update Patterns to Designs in Delete Modal and Toaster @legendarykamal (#5891)
- Added logic to view switch  @harkiratsm (#5892)
- [RJSF] Fix duplicate prop assignment in rjsf @Abhishek-kumar09 (#5889)
- Solves Session Expired Modal  @legendarykamal (#5835)
- GraphQL subscriptions PR #5657 @Abhishek-kumar09 (#5686)
- Updated empty state of confirmation modal | CU-2kcvd3c @asubedy (#5868)
- [UI] Static Assets: custom font @leecalcote (#5869)
- Bump terser from 5.14.0 to 5.14.2 in /provider-ui @dependabot (#5859)
- Bump terser from 4.8.0 to 4.8.1 in /ui @dependabot (#5860)
- uniformaity in opacity of rjsf | CU-2khg6f6 @warunicorn19 (#5864)
- fix[UI]: change the color and contents for reset data @bhavyastar (#5847)
- [UI] consistent width between all the items in ctxswitcher @Abhishek-kumar09 (#5838)
- fix(ui): whitespace in context switcher @nishantwrp (#5830)
- Disable un/deploy operation when no contexts detected. @MUzairS15 (#5806)
- Bump moment from 2.29.2 to 2.29.4 in /ui @dependabot (#5814)
- [Dependency] UI: update graphql  package to ^16.5.0 @leecalcote (#5803)
- [UI]Background Color of Setting nav in design configurator changed @Harshit-Dandriyal (#5820)
- Fix application import @MUzairS15 (#5808)
- [UI] "Undeploy" checkmark color has changed @subhradwip01 (#5789)
- [UI]Name and namefield text field backColor opacity change @Harshit-Dandriyal (#5799)
- [e2e test] Filter deploy fix after Modal operations @Abhishek-kumar09 (#5794)
- Fix capture and handle expired token  @MUzairS15 (#4956)
- Fix version issue in pattern configurator @Abhishek-kumar09 (#5793)
- [UI] Make UI consistent @MUzairS15 (#5765)
- [UI] Update confiratmion modal title background color @Chadha93 (#5779)
- [UI] Delete and Update bug fix for applications @Chadha93 (#5761)
- [Refactor] Add `transformErrors` as a prop to be overridden @sudo-NithishKarthik (#5758)
- chore(deps): Bump next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5737)
- chore(deps): Bump react-moment from 1.1.1 to 1.1.2 in /ui @dependabot (#5740)
- chore(deps): Bump react-jss from 10.7.1 to 10.9.0 in /ui @dependabot (#5732)
- chore(deps): Bump relay-runtime from 13.2.0 to 14.0.0 in /ui @dependabot (#5736)
- chore(deps-dev): Bump cypress from 10.0.3 to 10.3.0 in /provider-ui @dependabot (#5756)
- chore(deps): Bump redux from 4.1.0 to 4.2.0 in /ui @dependabot (#5734)
- chore(deps-dev): Bump eslint-config-next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5741)
- Invalidates image import as kubeconfig file @Santosh1176 (#5750)
- chore(deps-dev): Bump eslint-plugin-react from 7.30.0 to 7.30.1 in /provider-ui @dependabot (#5725)
- chore(deps): Bump @material-ui/icons from 4.11.2 to 4.11.3 in /ui @dependabot (#5727)
- chore(deps-dev): Bump nodemon from 2.0.16 to 2.0.18 in /provider-ui @dependabot (#5726)
- chore(deps-dev): Bump @babel/types from 7.17.0 to 7.18.7 in /ui @dependabot (#5735)
- [Refactor] Improve Meshsync data handling, controllers handling and GraphQL @sudo-NithishKarthik (#5680)
- persistant tooltip | CU-2h755kq @warunicorn19 (#5718)
- Add modal in Filter page (Table view) @MUzairS15 (#5716)
- [UI] Import modal close bug fix @Chadha93 (#5712)
- Update Modal @MUzairS15 (#5678)
- [Cypress] Fix Failing e2e and integration tests in Meshery @Abhishek-kumar09 (#5702)
- [Fix/UI] Context Switcher Ping Not working @Abhishek-kumar09 (#5706)
- [UI] Remove frontend formatting (RJSF) @theBeginner86 (#5700)
- [UI] Applications Grid View @Chadha93 (#5710)
- [UI] Swaped the position of two buttons- Upload K8's config @Rohith-Raju (#5696)
- Responsive Settings page @MUzairS15 (#5699)
- [UI] Filters Grid View @Chadha93 (#5652)
- Add modal for application deployment @MUzairS15 (#5701)
- Mark data-cy for navigator Extensions @Abhishek-kumar09 (#5690)
- Refactoring operator subscription @Revolyssup (#5657)
- fix ui crash on smi conformance @warunicorn19 (#5688)
- leecalcote/chore/ui deps @leecalcote (#5674)
- Make table style consistent @MUzairS15 (#5671)
- Changes to the un-deploy icon @asubedy (#5670)
- reverted bad commits @Abhishek-kumar09 (#5665)
- [Refactor] Update the RJSF form to be overridden by its consumers @sudo-NithishKarthik (#5659)
- [Operator Subscription] Fix state variables showing outdated results in callback Fn @Abhishek-kumar09 (#5656)
- minor ui fixes @warunicorn19 (#5655)
- [Extension] Support for Account Extension @theBeginner86 (#5615)
- [Build Failure] [object Object] is not a PostCSS plugin @Abhishek-kumar09 (#5653)
- Meshery-Settings: Enable Subscriptions and fix problems with settings page @Abhishek-kumar09 (#5645)
- [UI]Changed cursor to pointer @Rohith-Raju (#5632)
- Add operator status query @MUzairS15 (#5633)
- [UI] Undeploy card view button color update @Chadha93 (#5640)
- [UI] Support for Undeploy Pattern and Applications @Chadha93 (#5617)
- Fix problems with context-switching operation from Header @Abhishek-kumar09 (#5625)
- Fix: Metrics components not showing up in dashboard @Abhishek-kumar09 (#5624)
- Fix Event Streams in Meshery Notification Center @Abhishek-kumar09 (#5621)
- lifecycle minor bug fix with no adapter @Abhishek-kumar09 (#5620)
- Bug fixes @MUzairS15 (#5611)
- [Fix] Lifecylce Page Fixes @Abhishek-kumar09 (#5614)
- Bump eslint-plugin-react from 7.29.4 to 7.30.0 in /provider-ui @dependabot (#5580)
- Improve UI @MUzairS15 (#5602)
- Bump @babel/eslint-parser from 7.17.0 to 7.18.2 in /ui @dependabot (#5555)
- Multi context refactor @Revolyssup (#5528)
- Ci/marioarriaga92/5592 fix cypress v10 legacy config file error @MarioArriaga92 (#5597)
- [UI] Pattern file bug fixes @Chadha93 (#5587)
- [UI] Settings button style fix for lifecycle @Chadha93 (#5588)
- material-ui/core from 4.12.3 to 4.12.4 @Harshit-Dandriyal (#5585)

## 🔋 Patterns, Filters, Applications

- Fix application update not reflecting @MUzairS15 (#6076)
- [DOCS] Update docs for application API wrt source type and source content | CU-2quqz0n @Chadha93 (#6067)
- [UI] Configurations UI Enhancements | Apps | Designs | Filters @Chadha93 (#6046)
- [UI] Import Modal update and reference to Extensions  @Chadha93 (#5963)
- [UI] Source type import modal bug fix on empty state @Chadha93 (#6009)
- [Refactor] Add support for validating multiple manifests simultaneously @sudo-NithishKarthik (#5919)
- Subscription for Apps, Filters and Patterns @MUzairS15 (#5848)
- [Bug]Fix unresolved references for Version field @Revolyssup (#5926)
- Added Details to Applications/Filters @harkiratsm (#5899)
- Fix improper k8s to pattern conversion @Revolyssup (#5804)
- Add support for importing helm chart via URL on application page @Revolyssup (#5692)
- Fix application import @MUzairS15 (#5808)
- Fix version issue in pattern configurator @Abhishek-kumar09 (#5793)
- Fixed #5757 and empty application bug @Revolyssup (#5759)
- [UI] Delete and Update bug fix for applications @Chadha93 (#5761)
- Add version to component @Revolyssup (#5745)
- [UI] Applications Grid View @Chadha93 (#5710)
- [UI] Filters Grid View @Chadha93 (#5652)
- [UI] Undeploy card view button color update @Chadha93 (#5640)
- [UI] Support for Undeploy Pattern and Applications @Chadha93 (#5617)
- [UI] Pattern file bug fixes @Chadha93 (#5587)

## 🐛 Bug Fixes

- [Bug] Update Makefile for `make server-local` @theBeginner86 (#6072)
- [UI] Source type import modal bug fix on empty state @Chadha93 (#6009)
- [Bug] Fix MUI data table implementation on SMI Conformance page  @theBeginner86 (#5956)
- [Bug] Fix Panic on Hard Reset @theBeginner86 (#5817)

## 🧰 Maintenance

- [Bug] Update Makefile for `make server-local` @theBeginner86 (#6072)
- [Server] Use same Golang logger and log format @haanhvu (#5603)
- Bump @babel/types from 7.18.7 to 7.18.10 in /ui @dependabot (#5945)
- Bump cypress from 10.4.0 to 10.6.0 in /provider-ui @dependabot (#6053)
- Bump cypress from 10.3.1 to 10.4.0 in /provider-ui @dependabot (#6019)
- Remove k8s 1.24.3 version from core E2E workflow @Revolyssup (#6044)
- Bump next from 12.2.0 to 12.2.5 in /provider-ui @dependabot (#6020)
- Bump eslint-config-next from 12.2.0 to 12.2.5 in /provider-ui @dependabot (#6017)
- Compatibility matrix shows other version of k8s @asubedy (#5992)
- Add eslint github action @Abhishek-kumar09 (#6010)
- rollback to golangci-lint v1.47.3 @nishantwrp (#5991)
- Bump google.golang.org/protobuf from 1.28.0 to 1.28.1 @dependabot (#5936)
- Add more k8s version to E2E wf @Revolyssup (#5979)
- Bump jss from 10.9.0 to 10.9.2 in /provider-ui @dependabot (#5942)
- Fix failing mesheryctl unit tests @nishantwrp (#5971)
- Bump google.golang.org/grpc from 1.47.0 to 1.48.0 @dependabot (#5938)
- Bump immutable from 4.0.0 to 4.1.0 in /ui @dependabot (#5940)
- Bump @fortawesome/free-regular-svg-icons from 6.1.1 to 6.1.2 in /ui @dependabot (#5941)
- Bump eslint-plugin-jsx-a11y from 6.5.1 to 6.6.1 in /ui @dependabot (#5937)
- Bump github.com/sirupsen/logrus from 1.8.1 to 1.9.0 @dependabot (#5935)
- Bump github.com/go-errors/errors from 1.0.1 to 1.4.2 @dependabot (#5939)
- Bump cypress from 10.3.0 to 10.3.1 in /provider-ui @dependabot (#5932)
- Revert "Revert "feat(ci): update release workflow to bump homebrew-core formula @nishantwrp (#5918)
- Revert "feat(ci): update release workflow to bump homebrew-core formula" @warunicorn19 (#5909)
- feat(ci): update release workflow to bump homebrew-core formula @nishantwrp (#5816)
- [Dependencies] UI, MeshSync, MeshKit, Meshery Operator @leecalcote (#5902)
- Remove kubeopenapi-jsonschema binary from Dockerfile @Revolyssup (#5898)
- fix(lint): fix problems by whitespace linter @nishantwrp (#5890)
- [CI] Makefile dependency check @leecalcote (#5878)
- Bump terser from 5.14.0 to 5.14.2 in /provider-ui @dependabot (#5859)
- Bump terser from 4.8.0 to 4.8.1 in /ui @dependabot (#5860)
- Bump sigs.k8s.io/controller-runtime from 0.11.2 to 0.12.2 @dependabot (#5720)
- [CI] Add global GIT_STRIPPED_VERSION @leecalcote (#5826)
- Bump moment from 2.29.2 to 2.29.4 in /ui @dependabot (#5814)
- Upgrade meshkit @Revolyssup (#5807)
- chore(deps): Bump github.com/spf13/cobra from 1.4.0 to 1.5.0 @dependabot (#5729)
- chore(deps): Bump next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5737)
- chore(deps): Bump react-moment from 1.1.1 to 1.1.2 in /ui @dependabot (#5740)
- chore(deps): Bump react-jss from 10.7.1 to 10.9.0 in /ui @dependabot (#5732)
- chore(deps): Bump relay-runtime from 13.2.0 to 14.0.0 in /ui @dependabot (#5736)
- chore(deps-dev): Bump cypress from 10.0.3 to 10.3.0 in /provider-ui @dependabot (#5756)
- chore(deps): Bump redux from 4.1.0 to 4.2.0 in /ui @dependabot (#5734)
- chore(deps-dev): Bump eslint-config-next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5741)
- [Server] Lint Fix @gr455 (#5743)
- chore(deps-dev): Bump eslint-plugin-react from 7.30.0 to 7.30.1 in /provider-ui @dependabot (#5725)
- chore(deps): Bump github.com/prometheus/common from 0.34.0 to 0.35.0 @dependabot (#5728)
- chore(deps): Bump @material-ui/icons from 4.11.2 to 4.11.3 in /ui @dependabot (#5727)
- chore(deps-dev): Bump nodemon from 2.0.16 to 2.0.18 in /provider-ui @dependabot (#5726)
- chore(deps-dev): Bump @babel/types from 7.17.0 to 7.18.7 in /ui @dependabot (#5735)
- [Cypress] Fix Failing e2e and integration tests in Meshery @Abhishek-kumar09 (#5702)
- [CI] Chore: Docker image upgrade to lts-latest @leecalcote (#5673)
- Bump github.com/99designs/gqlgen from 0.17.5 to 0.17.10 @dependabot (#5638)
- [Chore] Upgrade Dependencies @sudo-NithishKarthik (#5651)
- Fix golangci-lint failures @haanhvu (#5612)
- Bump eslint-plugin-react from 7.29.4 to 7.30.0 in /provider-ui @dependabot (#5580)
- [Lifecycle] Remove CPX from default config @leecalcote (#5604)
- Bump @babel/eslint-parser from 7.17.0 to 7.18.2 in /ui @dependabot (#5555)
- Bump google.golang.org/grpc from 1.46.0 to 1.47.0 @dependabot (#5560)

## 📖 Documentation

- fix: terminal overflow on docs @adarsh500 (#6037)
- [docs] fixed links to meshery adapters @sarthakkathpalia (#6070)
- [DOCS] Update docs for application API wrt source type and source content | CU-2quqz0n @Chadha93 (#6067)
- [Docs] Add guide for contributing `mesheryctl` reference @alphaX86 (#6045)
- Aligning makefile with contributing.md doc @legendarykamal (#6036)
- Compatibility matrix shows other version of k8s @asubedy (#5992)
- Fix image ref in `mesheryctl` docs @alphaX86 (#5908)
- Terminal animation added @sourav-sharma7 (#5821)
- fix(mesheryctl): move completion to root level and fix oh-my-zsh command @nishantwrp (#5896)
- [DOCS] Applications REST API Update @Chadha93 (#5887)
- [Docs] Folder creation for integrations workflow @asubedy (#5965)
- chore: update docs for mesheryctl installation via homebrew @nishantwrp (#5924)
- Added Docs for docker extensions via  Marketplace @harkiratsm (#5742)
- tools section gets hidden in many components of docs @manikmmalhotra (#5871)
- Bump tzinfo from 1.2.9 to 1.2.10 in /docs @dependabot (#5865)
- Create logic for screenshot capture in mesheryctl ref @alphaX86 (#5778)
- docs: fix ui lint commands in contributing.md @nishantwrp (#5829)
- fixed the repetition in table of contents @manikmmalhotra (#5809)
- Added meshery broader capability  @harkiratsm (#5805)
- fixed the command from layer5io/tap to meshery/tap @manikmmalhotra (#5810)
- Fixed Typos in architecture.md  @bishal7679 (#5792)
- Missing a "git" in the command in docs/readme @manikmmalhotra (#5780)
- Highlight current tab on scroll in table of content in navigation @manikmmalhotra (#5762)
- [Docs] Add KubeSphere App Store as a supported platform for Meshery @codrAlxx (#5717)
- Fixed broken link @arunkarthicknm (#5724)
- Removed extra "your" from docs @i-am-yuvi (#5708)
- [Extension] Support for Account Extension @theBeginner86 (#5615)
- [Docs] Additional guides/troubleshoot installation links in quickstart @abhiyant-10 (#5646)
- [Doc] Add troubleshooting steps for Service Mesh installation @MUzairS15 (#5616)

## 🔒 Security

- Fix capture and handle expired token  @MUzairS15 (#4956)
- [CI] Chore: Docker image upgrade to lts-latest @leecalcote (#5673)
- leecalcote/chore/ui deps @leecalcote (#5674)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Aisuko, @Chadha93, @Harshit-Dandriyal, @MUzairS15, @MarioArriaga92, @Nikhil-Ladha, @Revolyssup, @Rohith-Raju, @Santosh1176, @YashKamboj, @abhiyant-10, @adarsh500, @adithyaakrishna, @alphaX86, @arunkarthicknm, @asubedy, @bhavyastar, @bishal7679, @codrAlxx, @debo19, @dependabot, @dependabot[bot], @gr455, @haanhvu, @harkiratsm, @hexxdump, @i-am-yuvi, @kumarvikramshahi, @l5io, @leecalcote, @legendarykamal, @manikmmalhotra, @nishantwrp, @sarthakkathpalia, @sourav-sharma7, @subhradwip01, @sudo-NithishKarthik, @theBeginner86, @warunicorn19, Abhishek Kumar, Nithish and l5io
